Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query User-Level Push Alias

Retrieve the push aliases set by users, with support for pagination.

Request Method

POST: https://data center domain/user/remarks/get.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the signature rules. For details, see API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and the following HTTP form parameters are supported:

ParameterTypeRequiredDescription
userIdStringYesUser ID.
pageIntegerNoPage number, defaults to the first page.
sizeIntegerNoNumber of items per page, defaults to 50 items per page.

Request Example

POST /user/remarks/get.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=7

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 indicates success.
totalIntTotal number of user aliases.
usersArrayJSON object array, containing user ID (id) and corresponding alias (remark). A maximum of 50 user aliases are returned per request.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"total":2,
"users":[
{
"id":"10001",
"remark":"name1"
},
{
"id":"10002",
"remark":"name2"
}]
}